// Generated by CoffeeScript 1.10.0
(function() {
  var cert, certPath, child_process, createCert, cryptoConstants, dirToWatch, fs, key, keyPath, sh;

  fs = require('fs');

  child_process = require('child_process');

  sh = require('shelljs');

  cryptoConstants = require('crypto').constants;

  createCert = require("./createCert.js");

  keyPath = "/data/key.pem";

  certPath = "/data/cert.pem";

  if (!(fs.existsSync(keyPath) && fs.existsSync(certPath))) {
    createCert();
  }

  key = fs.readFileSync(keyPath);

  cert = fs.readFileSync(certPath);

  module.exports = {
    key: key,
    cert: cert,
    secureOptions: cryptoConstants.SSL_OP_NO_SSLv3 | cryptoConstants.SSL_OP_NO_TLSv1 | cryptoConstants.SSL_OP_NO_TLSv1_1,
    ciphers: ["ECDHE-RSA-AES128-GCM-SHA256", "ECDHE-ECDSA-AES128-GCM-SHA256", "ECDHE-RSA-AES256-GCM-SHA384", "ECDHE-ECDSA-AES256-GCM-SHA384", "DHE-RSA-AES128-GCM-SHA256", "ECDHE-RSA-AES128-SHA256", "DHE-RSA-AES128-SHA256", "ECDHE-RSA-AES256-SHA384", "DHE-RSA-AES256-SHA384", "ECDHE-RSA-AES256-SHA256", "DHE-RSA-AES256-SHA256", "HIGH", "!aNULL", "!eNULL", "!EXPORT", "!DES", "!RC4", "!MD5", "!PSK", "!SRP", "!CAMELLIA"].join(':'),
    honorCipherOrder: true
  };

  dirToWatch = "/data/";

  fs.watch(dirToWatch, function(e, filename) {
    if (filename === "cert.pem") {
      console.log('ssl certificate changed. Restarting Web ui...');
      return sh.exec("service omgwebui restart");
    }
  });

}).call(this);
